using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class MenuToOuterRequest:INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("menu")]
        public MenuToOuterMenu Menu { get; set; }

        [XmlElement("outer")]
        public MenuToOuterOuter Outer { get; set; }
    }

    public class MenuToOuterMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class MenuToOuterOuter
    {
        [XmlAttribute("to")]
        public string To { get; set; }
    }
}
